summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-03-27 04:29:06 +0000
committerZac Medico <zmedico@gentoo.org>2009-03-27 04:29:06 +0000
commitcb024f37538088306e1f8128362d915b1fda1285 (patch)
tree01160176769863d89a66c08aed063cd807016202
parentRemove unused tar_opts variable inside unpack(). Thanks to zong_sharo for (diff)
downloadportage-cb024f37538088306e1f8128362d915b1fda1285.tar.gz
portage-cb024f37538088306e1f8128362d915b1fda1285.tar.bz2
portage-cb024f37538088306e1f8128362d915b1fda1285.zip
Fix domo and doexe to return non-zero if there are any errors. Thanks to
zong_sharo for reporting. (trunk r13182) svn path=/main/branches/2.1.6/; revision=13211
-rwxr-xr-xbin/ebuild-helpers/doexe9
-rwxr-xr-xbin/ebuild-helpers/domo6
2 files changed, 14 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/doexe b/bin/ebuild-helpers/doexe
index 36880477c..9d35c8e0d 100755
--- a/bin/ebuild-helpers/doexe
+++ b/bin/ebuild-helpers/doexe
@@ -14,6 +14,8 @@ if [[ ! -d ${D}${_E_EXEDESTTREE_} ]] ; then
install -d "${D}${_E_EXEDESTTREE_}"
fi
+ret=0
+
for x in "$@" ; do
if [ -L "${x}" ] ; then
cp "${x}" "${T}"
@@ -24,6 +26,11 @@ for x in "$@" ; do
else
mysrc="${x}"
fi
- install $EXEOPTIONS "$mysrc" "$D$_E_EXEDESTTREE_" || \
+ if ! install $EXEOPTIONS "$mysrc" "$D$_E_EXEDESTTREE_" ; then
echo "!!! ${0##*/}: $mysrc does not exist" 1>&2
+ false
+ fi
+ ((ret+=$?))
done
+
+exit $ret
diff --git a/bin/ebuild-helpers/domo b/bin/ebuild-helpers/domo
index a7ba5775a..f2ad3eaea 100755
--- a/bin/ebuild-helpers/domo
+++ b/bin/ebuild-helpers/domo
@@ -12,6 +12,8 @@ if [ ! -d "${D}${DESTTREE}/share/locale" ] ; then
install -d "${D}${DESTTREE}/share/locale/"
fi
+ret=0
+
for x in "$@" ; do
if [ -e "${x}" ] ; then
mytiny="${x##*/}"
@@ -22,5 +24,9 @@ for x in "$@" ; do
install -m0644 "${x}" "${mydir}/${MOPREFIX}.mo"
else
echo "!!! ${0##*/}: $x does not exist" 1>&2
+ false
fi
+ ((ret+=$?))
done
+
+exit $ret